require "cnpq_ws/version"
require "cnpq_ws/railtie" if defined?(Rails)
require "cnpq_ws/curriculo_lattes"

module CnpqWs
	def self.setup
    	yield self
  	end

  	def tem_curriculo_lattes
  		include CurriculoLattes
  	end

    mattr_accessor :cnpq_login
    @@cnpq_login = nil

    mattr_accessor :curriculo_end_point
    @@curriculo_end_point =  "http://servicosweb.cnpq.br/srvcurriculo/WSCurriculo"

    mattr_accessor :curriculo_wsdl
    @@curriculo_wsdl = "https://servicosweb.cnpq.br/srvcurriculo/WSCurriculo?wsdl"

end
