require "cnpq_ws/projeto_pesquisa"

class ParticipacaoProjeto
	attr_accessor :sequencia_funcao_atividade, :flag_periodo, :mes_inicio, :ano_inicio, :mes_fim, :ano_fim, :codigo_orgao, :nome_orgao, :codigo_unidade, 
		:nome_unidade, :projeto_de_pesquisa


	def initialize(options = [])
		@sequencia_funcao_atividade = options[:sequencia_funcao_atividade] 
		@flag_periodo = options[:flag_periodo] 
		@mes_inicio = options[:mes_inicio] 
		@ano_inicio = options[:ano_inicio] 
		@mes_fim = options[:mes_fim] 
		@ano_fim = options[:ano_fim] 
		@codigo_orgao = options[:codigo_orgao] 
		@nome_orgao = options[:nome_orgao] 
		@codigo_unidade = options[:codigo_unidade] 
		@nome_unidade = options[:nome_unidade] 
		@projeto_de_pesquisa = [options[:projeto_de_pesquisa]] 
	end

	def projetos_de_pesquisa
		projetos = []
		self.projeto_de_pesquisa.flatten.each do |p|
			unless p.nil?
				projetos << ProjetoPesquisa.new(
					sequencia_projeto: p["SEQUENCIA_PROJETO"], 
					ano_inicio: p["ANO_INICIO"], 
					ano_fim: p["ANO_FIM"], 
					nome_do_projeto: p["NOME_DO_PROJETO"], 
					situacao: p["SITUACAO"], 
					natureza: p["SITUACAO"], 
					numero_tecnico_nivel_medio: p["NUMERO_TECNICO_NIVEL_MEDIO"], 
					numero_graduacao: p["NUMERO_GRADUACAO"], 
					numero_especializacao: p["NUMERO_GRADUACAO"], 
					numero_mestrado_academico: p["NUMERO_MESTRADO_ACADEMICO"], 
					numero_mestrado_prof: p["NUMERO_MESTRADO_PROF"], 
					numero_doutorado: p["NUMERO_DOUTORADO"], 
					descricao_do_projeto: p["DESCRICAO_DO_PROJETO"], 
					descricao_do_projeto_ingles: p["DESCRICAO_DO_PROJETO_INGLES"], 
					nome_do_projeto_ingles: p["NOME_DO_PROJETO_INGLES"], 
					flag_potencial_inovacao: p["FLAG_POTENCIAL_INOVACAO"], 
					equipe_do_projeto: p["EQUIPE_DO_PROJETO"], 
					financiadores_do_projeto: p["FINANCIADORES_DO_PROJETO"]
				)
			end
		end
		projetos
	end
end