require 'rails/generators/base'
require 'securerandom'

module CnpqWs
  module Generators
    class InstallGenerator < Rails::Generators::Base
      source_root File.expand_path("../../templates", __FILE__)

      desc "Cria um inicializador CpnqWs e copia para a pasta config/initializers da sua aplicação."
      class_option :orm

      def copy_initializer
        template "cnpq_ws.rb", "config/initializers/cnpq_ws.rb"
      end
    end
  end
end